<?php
if (!$signatureoverride)
{
	foreach ($vbulletin->userinfo['dbtech_vbshop_purchase'] as $purchaseid => $purchase)
	{
		if ($purchase['feature'] != 'item' OR $purchase['userid'] != $vbulletin->userinfo['userid'])
		{
			// Skip the feature
			continue;
		}
		
		if (!$purchase['active'])
		{
			// Skip the feature
			continue;
		}
		
		if (!$item = VBSHOP::$cache[$purchase['feature']][$purchase['featureid']])
		{
			// Skip this
			continue;
		}

		if (!$item['active'])
		{
			// Skip this
			continue;
		}

		if ($item['itemtypeid'] != 'signaturechange')
		{
			// Skip this
			continue;
		}

		if (!$item['reconfigure'])
		{
			// Init item
			$itemobj = VBSHOP::init_item(array_merge($item, $purchase));
			
			// Discard the item
			$itemobj->discard($purchase['purchaseid']);				
		}
		break;
	}
}
?>